Bug 171624 - Review Request: mimetic -- A full featured MIME library written in C++
Review Request: mimetic -- A full featured MIME library written in C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
David Lawrence
http://codesink.org/mimetic_mime_libr...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-24 11:15 EDT by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-25 17:16:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-10-24 11:15:54 EDT
Spec Name or Url: http://ensc.de/fedora/mimetic.spec
SRPM Name or Url: http://ensc.de/fedora/mimetic-0.8.9-1.src.rpm
Description:

mimetic is a GPL MIME library written in C++ designed to be easy to use
and integrate but yet fast and efficient. mimetic doesn't use exceptions
but it heavily uses templates so a mostly standard compliant C++ compiler
is required.
Comment 1 Enrico Scholz 2005-10-24 12:07:50 EDT
Updated:  http://ensc.de/fedora/mimetic-0.8.9-2.src.rpm
Comment 2 Michael Schwendt 2005-12-25 10:55:09 EST
IMO, the authors ought to avoid putting a header file "config.h" into
the API and in a top-level search location. Not only because of the
HAVE_FOO definitions, but also because it increases the risk of search
path precedence conflicts in applications which may use an own config.h
file.

* source verified against upstream locations
* rpmlint is silent
* spec file looks good
* patch reviewed
* builds fine on FC4
* binary package listings look good

APPROVED
Comment 3 Enrico Scholz 2005-12-25 17:16:57 EST
thx

I contacted the developer and asked him to avoid the 'config.h' file but got no
answer yet.

Note You need to log in before you can comment on or make changes to this bug.